Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theater
Class Point

    java.lang.Object
      theater.Point

All Implemented Interfaces:
  PixelArea

    public class Point

extends java.lang.Object
implements PixelArea

Die Klasse Point repräsentiert ein Pixel auf der Bühne. Sie implementiert das Interface PixelArea, so dass mit dieser Klasse Kollisionen von Pixeln mit anderen Gebieten der Bühne überprüft werden können.

Version:
  1.0 (08.09.2009)
Author:
  Dietrich Boles, Universität Oldenburg, Germany

Field Summary
`protected int` | `x` x-Koordinate des Punktes
`protected int` | `y` y-Koordinate des Punktes

Constructor Summary
`Point(int x, int y)` Konstruktor zum Initialisieren eines Punktes mit seiner x- und y-Koordinate.
`Point(java.awt.Point p)` Copy-Konstruktor zum Initialisieren eines Punktes mit einem java.awt.Point-Objekt

Method Summary
`boolean` | `contains(int x, int y)` Überprüft, ob der Punkt mit den als Parameter übergebenen Koordinaten gleich dem aufgerufenen Punkt ist.
`int` | `getX()` Liefert die x-Koordinate des Punktes auf der Bühne.
`int` | `getY()` Liefert die y-Koordinate des Punktes auf der Bühne.
`boolean` | `intersects(PixelArea area)` Überprüft, ob der aufgerufene Punkt die als Parameter übergebene PixelArea schneidet, d.h. innerhalb der PixelArea liegt.
`boolean` | `isInside(PixelArea area)` Überprüft, ob der aufgerufene Punkt innerhalb der als Parameter übergebenen PixelArea liegt.
`java.awt.Point` | `toAWTPoint()` Wandelt den Punkt in ein Objekt der Klasse java.awt.Point um.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    protected int x

  x-Koordinate des Punktes

### y

    protected int y

  y-Koordinate des Punktes

Constructor Detail

### Point

    public Point(int x,
                 int y)

  Konstruktor zum Initialisieren eines Punktes mit seiner x- und y-Koordinate.

  Parameters:
    `x` - x-Koordinate des Punktes
    `y` - y-Koordinate des Punktes

### Point

    public Point(java.awt.Point p)

  Copy-Konstruktor zum Initialisieren eines Punktes mit einem java.awt.Point-Objekt

  Parameters:
    `p` - ein Objekt der Klase java.awt.Point (darf nicht null sein)

Method Detail

### contains

    public boolean contains(int x,
                            int y)

  Überprüft, ob der Punkt mit den als Parameter übergebenen Koordinaten gleich dem aufgerufenen Punkt ist.

  Specified by:
    `contains` in interface `PixelArea`
  Parameters:
    `x` - x-Koordinate des Punktes
    `y` - y-Koordinate des Punktes
  Returns:
    genau dann true, wenn die beiden Punkte gleich sind
  See Also:
    `PixelArea.contains(int, int)`

### getX

    public int getX()

  Liefert die x-Koordinate des Punktes auf der Bühne.

  Returns:
    die x-Koordinate des Punktes auf der Bühne

### getY

    public int getY()

  Liefert die y-Koordinate des Punktes auf der Bühne.

  Returns:
    die y-Koordinate des Punktes auf der Bühne

### intersects

    public boolean intersects(PixelArea area)

  Überprüft, ob der aufgerufene Punkt die als Parameter übergebene PixelArea schneidet, d.h. innerhalb der PixelArea liegt.

  Specified by:
    `intersects` in interface `PixelArea`
  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn der aufgerufene Punkt innerhalb der als Parameter übergebenen PixelArea liegt
  See Also:
    `PixelArea.intersects(theater.PixelArea)`

### isInside

    public boolean isInside(PixelArea area)

  Überprüft, ob der aufgerufene Punkt innerhalb der als Parameter übergebenen PixelArea liegt.

  Specified by:
    `isInside` in interface `PixelArea`
  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn der aufgerufene Punkt innerhalb der als Parameter übergebenen PixelArea liegt
  See Also:
    `PixelArea.isInside(theater.PixelArea)`

### toAWTPoint

    public java.awt.Point toAWTPoint()

  Wandelt den Punkt in ein Objekt der Klasse java.awt.Point um.

  Returns:
    der Punkt als java.awt.Point-Objekt

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD